import React, { Component } from 'react';
import style from './index.less';
import {windowEventHandler,getWindowInnerHeight} from '@utils/tools'

class CaseQuailty extends Component {
  constructor(props) {
    super(props);
    this.$cont = React.createRef();
  }
  componentDidMount(){
    const height = getWindowInnerHeight()-149;
    this.$cont.current.style.height = height+"px";
    windowEventHandler('resize', ()=>{
      if(this.$cont.current){
        const height = getWindowInnerHeight()-149;
        this.$cont.current.style.height = height+"px";
      }
    });
  }
  render() {
    return <div className={style["caseQuailty"]} ref={this.$cont}>敬请期待...</div>;
  }
}

export default CaseQuailty;